Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.arjuna.mw.wst
Class BusinessActivityManager

    java.lang.Object
      com.arjuna.mw.wst.BusinessActivityManager

public abstract class BusinessActivityManager
extends java.lang.Object

This is the interface that the core exposes in order to allow different types of participants to be enrolled. The messaging layer continues to work in terms of the registrar, but internally we map to one of these methods. As with UserTransaction a TransactionManager does not represent a specific transaction, but rather is responsible for providing access to an implicit per-thread transaction context.

Since:
  XTS 1.0.
Version:
  $Id: BusinessActivityManager.java,v 1.4.8.1 2005/11/22 10:36:05 kconner Exp $
Author:
  Mark Little (mark.little@arjuna.com)

Constructor Summary
`BusinessActivityManager()`

Method Summary
`abstract TxContext` | `currentTransaction()` The currentTransaction method returns the TxContext for the current transaction, or null if there is none.
`abstract BAParticipantManager` | `enlistForBusinessAgreementWithCoordinatorCompletion(BusinessAgreementWithCoordinatorCompletionParticipant bawcp, java.lang.String id)` Enlist a participant for the BusinessAgreementWithCoordinatorCompletion protocol.
`abstract BAParticipantManager` | `enlistForBusinessAgreementWithParticipantCompletion(BusinessAgreementWithParticipantCompletionParticipant bap, java.lang.String id)` Enlist a participant for the BusinessAgreement protocol.
`static BusinessActivityManager` | `getBusinessActivityManager()` Get the business activity manager.
`abstract void` | `resume(TxContext txContext)` The resume method can be used to (re-)associate a thread with a transaction(s) via its TxContext.
`static void` | `setBusinessActivityManager(BusinessActivityManager manager)` Set the business activity manager.
`abstract TxContext` | `suspend()` A thread of control may require periods of non-transactionality so that it may perform work that is not associated with a specific transaction.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BusinessActivityManager

    public BusinessActivityManager()

Method Detail

### getBusinessActivityManager

    public static BusinessActivityManager getBusinessActivityManager()

  Get the business activity manager.

  Returns:
    The business activity manager.

### setBusinessActivityManager

    public static void setBusinessActivityManager(BusinessActivityManager manager)

  Set the business activity manager.

  Parameters:
    `manager` - The business activity manager.

### enlistForBusinessAgreementWithParticipantCompletion

    public abstract BAParticipantManager enlistForBusinessAgreementWithParticipantCompletion(BusinessAgreementWithParticipantCompletionParticipant bap,
                                                                                             java.lang.String id)
                                                                                      throws WrongStateException,
                                                                                             UnknownTransactionException,
                                                                                             AlreadyRegisteredException,
                                                                                             SystemException

  Enlist a participant for the BusinessAgreement protocol.

  Returns:
    the BAParticipantManager for this transaction.
  Throws:
    `WrongStateException`
    `UnknownTransactionException`
    `AlreadyRegisteredException`
    `SystemException`

### enlistForBusinessAgreementWithCoordinatorCompletion

    public abstract BAParticipantManager enlistForBusinessAgreementWithCoordinatorCompletion(BusinessAgreementWithCoordinatorCompletionParticipant bawcp,
                                                                                             java.lang.String id)
                                                                                      throws WrongStateException,
                                                                                             UnknownTransactionException,
                                                                                             AlreadyRegisteredException,
                                                                                             SystemException

  Enlist a participant for the BusinessAgreementWithCoordinatorCompletion protocol.

  Returns:
    the BAParticipantManager for this transaction.
  Throws:
    `WrongStateException`
    `UnknownTransactionException`
    `AlreadyRegisteredException`
    `SystemException`

### resume

    public abstract void resume(TxContext txContext)
                         throws UnknownTransactionException,
                                SystemException

  The resume method can be used to (re-)associate a thread with a transaction(s) via its TxContext. Prior to association, the thread is disassociated with any transaction(s) with which it may be currently associated. If the TxContext is null, then the thread is associated with no transaction. The UnknownTransactionException exception is thrown if the transaction that the TxContext refers to is invalid in the scope of the invoking thread.

  Throws:
    `UnknownTransactionException`
    `SystemException`

### suspend

    public abstract TxContext suspend()
                               throws SystemException

  A thread of control may require periods of non-transactionality so that it may perform work that is not associated with a specific transaction. In order to do this it is necessary to disassociate the thread from any transactions. The suspend method accomplishes this, returning a TxContext instance, which is a handle on the transaction. The thread is then no longer associated with any transaction.

  Throws:
    `SystemException`

### currentTransaction

    public abstract TxContext currentTransaction()
                                          throws SystemException

  The currentTransaction method returns the TxContext for the current transaction, or null if there is none. Unlike suspend, this method does not disassociate the current thread from the transaction(s). This can be used to enable multiple threads to execute within the scope of the same transaction.

  Throws:
    `SystemException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD